Package org.jacoco.report.internal.html

## Class HTMLGroupVisitor

- java.lang.Object
- - org.jacoco.report.internal.AbstractGroupVisitor
  - - org.jacoco.report.internal.html.HTMLGroupVisitor

All Implemented Interfaces:
  `IReportGroupVisitor`

    public class HTMLGroupVisitor
    extends AbstractGroupVisitor

Group visitor for HTML reports.

### Field Summary

### Fields inherited from class org.jacoco.report.internal.AbstractGroupVisitor

`total`

### Constructor Summary

Constructors
`HTMLGroupVisitor​(ReportPage parent, ReportOutputFolder folder, IHTMLReportContext context, java.lang.String name)` Create a new group handler.

### Method Summary

All Methods Instance Methods Concrete Methods
`NodePage<ICoverageNode>` `getPage()` Returns the page rendered for this group.
`protected void` `handleBundle​(IBundleCoverage bundle, ISourceFileLocator locator)` Called to handle the given bundle in a specific way.
`protected void` `handleEnd()` Called to handle the end of this group in a specific way.
`protected AbstractGroupVisitor` `handleGroup​(java.lang.String name)` Called to handle a group with the given name in a specific way.

### Methods inherited from class org.jacoco.report.internal.AbstractGroupVisitor

`visitBundle, visitEnd, visitGroup`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HTMLGroupVisitor

    public HTMLGroupVisitor​(ReportPage parent,
                            ReportOutputFolder folder,
                            IHTMLReportContext context,
                            java.lang.String name)

Create a new group handler.

Parameters:
  `parent` - optional hierarchical parent
  `folder` - base folder for this group
  `context` - settings context
  `name` - group name

### Method Detail

#### getPage

    public NodePage<ICoverageNode> getPage()

Returns the page rendered for this group.

Returns:
  page for this group

#### handleBundle

    protected void handleBundle​(IBundleCoverage bundle,
                                ISourceFileLocator locator)
                         throws java.io.IOException

Description copied from class: `AbstractGroupVisitor`
Called to handle the given bundle in a specific way.

Specified by:
  `handleBundle` in class `AbstractGroupVisitor`
Parameters:
  `bundle` - analyzed bundle
  `locator` - source locator
Throws:
  `java.io.IOException` - if the report can't be written

#### handleGroup

    protected AbstractGroupVisitor handleGroup​(java.lang.String name)
                                        throws java.io.IOException

Description copied from class: `AbstractGroupVisitor`
Called to handle a group with the given name in a specific way.

Specified by:
  `handleGroup` in class `AbstractGroupVisitor`
Parameters:
  `name` - name of the group
Returns:
  created child group
Throws:
  `java.io.IOException` - if the report can't be written

#### handleEnd

    protected void handleEnd()
                      throws java.io.IOException

Description copied from class: `AbstractGroupVisitor`
Called to handle the end of this group in a specific way.

Specified by:
  `handleEnd` in class `AbstractGroupVisitor`
Throws:
  `java.io.IOException` - if the report can't be written